Main Page Widgets Namespaces Book

# Gtk::VRuler Class Reference
[Widgets]

Inheritance diagram for Gtk::VRuler:

[legend]
List of all members.

## Detailed Description

Vertical Ruler.

## Public Member Functions

const GtkVRuler* | gobj () const
| Provides access to the underlying C GtkObject.
GtkVRuler* | gobj ()
| Provides access to the underlying C GtkObject.
| VRuler ()
virtual | ~VRuler ()

## Related Functions

(Note that these are not member functions.)
Gtk::VRuler* | wrap (GtkVRuler* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::VRuler::~VRuler | ( |  | ) | `[virtual]`

Gtk::VRuler::VRuler | ( |  | ) |

## Member Function Documentation

const GtkVRuler* Gtk::VRuler::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Ruler.

GtkVRuler* Gtk::VRuler::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Ruler.

## Friends And Related Function Documentation

Gtk::VRuler* wrap | ( | GtkVRuler* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- ruler.h